# Generated by Django 5.0.6 on 2024-07-05 09:47

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("participation", "0018_rename_reporter_to_reviewer"),
    ]

    operations = [
        migrations.AddField(
            model_name="note",
            name="observer_oral",
            field=models.PositiveSmallIntegerField(
                choices=[
                    (-10, -10),
                    (-9, -9),
                    (-8, -8),
                    (-7, -7),
                    (-6, -6),
                    (-5, -5),
                    (-4, -4),
                    (-3, -3),
                    (-2, -2),
                    (-1, -1),
                    (0, 0),
                    (1, 1),
                    (2, 2),
                    (3, 3),
                    (4, 4),
                    (5, 5),
                    (6, 6),
                    (7, 7),
                    (8, 8),
                    (9, 9),
                    (10, 10),
                ],
                default=0,
                verbose_name="observer oral note",
            ),
        ),
        migrations.AddField(
            model_name="note",
            name="observer_writing",
            field=models.PositiveSmallIntegerField(
                choices=[
                    (0, 0),
                    (1, 1),
                    (2, 2),
                    (3, 3),
                    (4, 4),
                    (5, 5),
                    (6, 6),
                    (7, 7),
                    (8, 8),
                    (9, 9),
                    (10, 10),
                ],
                default=0,
                verbose_name="observer writing note",
            ),
        ),
        migrations.AddField(
            model_name="passage",
            name="observer",
            field=models.ForeignKey(
                blank=True,
                default=None,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="participation.participation",
                verbose_name="observer",
            ),
        ),
        migrations.AlterField(
            model_name="synthesis",
            name="type",
            field=models.PositiveSmallIntegerField(
                choices=[(1, "opponent"), (2, "reviewer"), (3, "observer")]
            ),
        ),
    ]
